<?
function addPlayTalkSkin($target, $mother) {
	global $entryView;
	requireComponent("Tattertools.Function.misc");
	$playtalk = getPlayTalk();

	return $target.$playtalk;
}

function addPlayTalkSB($parameter) {
	global $configVal;
	requireComponent( "Tattertools.Function.misc");
	$data = misc::fetchConfigVal($configVal);

	if (isset($parameter['preview'])) {
		// preview mode
		$retval = "플톡 홈에 올린 자신의 글을 확인할 수 있습니다.";
		return $retval;
	}

	$playtalk = getPlayTalk();

	if($data['sb_use'] == 'T') {
		return $playtalk;
	}return;
}

function getPlayTalk(){
	global $pluginURL, $entryView, $configVal;
	requireComponent('Eolin.PHP.HTTPRequest');
	requireComponent('Tattertools.Function.misc');
	requireComponent('Eolin.PHP.Core');
	$data = misc::fetchConfigVal($configVal);

	$playtalk_id=split(',',$data['playtalk_url']);
	for($i=0; $i < count($playtalk_id); $i++) {
		$playtalk_url = 'http://playtalk.net/'.$playtalk_id[$i];
		$playtalk_rss = $playtalk_url.'/rss.aspx';
		$request = new HTTPRequest($playtalk_rss);

		$request->timeout = 1;
		if ($request->send()){
			$rst = $request->responseText;
		}

		$xmls = new XMLStruct();
		$xmls->open($rst);
		if($xmls->doesExist('/rss/channel/title')) {
			$title=$xmls->getValue('/rss/channel/title');
		}

		if($xmls->doesExist('/rss/channel/link')) {
			$link=$xmls->getValue('/rss/channel/link');
		}

		$rankicon = ($data['icon_use']=='T')?" style=\"margin:4px 0px 0px 0px;padding:0px;list-style:none;margin-left:1px;\"":"";
		list($playtalker, $temp) = split(' ', $title);
		$playtalk .= $data['pt_header']."\n";
		$playtalk .= "<UL {$rankicon}>\n";

		$j=1;

		foreach($xmls->selectNodes('/rss/channel/item') as $value) {
			$pubdate = $value['title'][0]['.value'];
			list($year, $month, $date, $time) = split(' ', $pubdate);
			$description = $value['description'][0]['.value'];
			$description = strip_tags($description);
			$description = htmlspecialchars(UTF8::lessenAsEm($description, $data['title_len']));
			$link = $value['link'][0]['.value'];
			$rankicon = ($data['icon_use']=='T')?" style=\"background:url({$pluginURL}/icon/{$j}.gif) no-repeat 0px 3px;padding-left:13px;\"":"";
			$playtalk .= "\t<LI {$rankicon}>";
			$playtalk .= ($data['disp_date'])?"$year $month $date - ":"";
			$playtalk .= "<A href='$playtalk_url' target='_blank'>$playtalker</A>: ";
			$playtalk .= "<A href='$link' target='_blank' title='$pubdate'>$description</A>";
			$playtalk .= ($data['disp_time'])?"($time)\n":"\n";
			if($j >= $data['title_num']) break;
			$j++;
		}

		$playtalk .= "</UL>\n";
		$playtalk .= $data['pt_footer'];
	}

	return $playtalk;
}

function PlayTalkConfig_ko($plugin) {
	global $service;
	
	$manifest = '';
	
	$manifest .= '<?xml version="1.0" encoding="utf-8"?>'.CRLF;
	$manifest .= '<config dataValHandler="">'.CRLF;
	$manifest .= '	<window width="600" height="800" />'.CRLF;
	
	$manifest .= '		<fieldset legend="플레이톡 설정">'.CRLF;
	$manifest .= '		<field title="플톡 홈 주소:" name="playtalk_url" type="text" value="" size="50">';
	$manifest .= '			<caption>'.CRLF;
	$manifest .= '				<![CDATA['.CRLF;
	$manifest .= '				자신의 플레이톡 홈 주소를 입력합니다. 플레이톡 홈 주소가 <A HREF="http://palytalk.net/doax_">http://palytalk.net/doax_</A>라면 <B>doax_</B>를 입력하면 됩니다. 하나 이상의 주소를 입력하려면 <B>주소와 주소를 쉼표로 구분</B>(예: doax_,loser)하면 됩니다. 주소와 주소 사이에는 공백이 있어서는 안됩니다.'.CRLF;
	$manifest .= '				]]>'.CRLF;
	$manifest .= '			</caption>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		</fieldset>'.CRLF;

	$manifest .= '		<fieldset legend="목록 설정">'.CRLF;
	$manifest .= '		<field title="글의 수:" name="title_num" type="text" value="3" size="2" />';
	$manifest .= '		<field title="글자 수:" name="title_len" type="text" value="80" size="2">';
	$manifest .= '			<caption>'.CRLF;
	$manifest .= '				<![CDATA['.CRLF;
	$manifest .= '				<B>글의 수</B>에는 목록에 표시할 글의 수를 지정하고 글자 수에는 글 하나당 표시할 글자 수를 입력합니다.'.CRLF;
	$manifest .= '				]]>'.CRLF;
	$manifest .= '			</caption>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		</fieldset>'.CRLF;

	$manifest .= '		<fieldset legend="아이콘 설정">'.CRLF;
	$manifest .= '			<field title="아이콘:" name="icon_use" type="radio">';
	$manifest .= '			<op value="T" checked="checked">사용</op>'.CRLF;
	$manifest .= '			<op value="F" >사용 안 함</op>'.CRLF;
	$manifest .= '			<caption>'.CRLF;
	$manifest .= '				<![CDATA['.CRLF;
	$manifest .= '				불릿 대신에 숫자 아이콘을 사용합니다. 아이콘을 바꾸려면 플러그인이 설치된 폴더의 icon이라는 폴더의 아이콘을 덮어쓰면 됩니다'.CRLF;
	$manifest .= '				]]>'.CRLF;
	$manifest .= '			</caption>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		</fieldset>'.CRLF;

	$manifest .= '		<fieldset legend="날짜 및 시간">'.CRLF;
	$manifest .= '			<field title="날짜 및 시간:" name="date_time" type="checkbox">';
	$manifest .= '			<op name="disp_date" value="1">날짜</op>'.CRLF;
	$manifest .= '			<op name="disp_time" value="1">시간</op>'.CRLF;
	$manifest .= '			<caption>'.CRLF;
	$manifest .= '				<![CDATA['.CRLF;
	$manifest .= '				글 앞에 날짜 또는 시간을 표시합니다. 모두 선택하면 날짜와 시간 모두 표시됩니다. 표시되는 형식은 <B>날짜 - 글 제목(시간)</B>입니다.'.CRLF;
	$manifest .= '				]]>'.CRLF;
	$manifest .= '			</caption>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		</fieldset>'.CRLF;

	$manifest .= '		<fieldset legend="플레이톡 머릿말">'.CRLF;
	$manifest .= '		<field title="* 사용중인 skin.html 참고" name="pt_header" cols="51" rows="2"  type="textarea" titledirection="bk" ><![CDATA[<fieldset><legend>플레이톡</legend>]]></field>'.CRLF;
	$manifest .= '		</fieldset>'.CRLF;
	$manifest .= '		<fieldset legend="플레이톡 꼬릿말">'.CRLF;
	$manifest .= '		<field title="* 사용중인 skin.html 참고" name="pt_footer" cols="51" rows="2"  type="textarea" titledirection="bk" ><![CDATA[</fieldset>]]></field>'.CRLF;
	$manifest .= '		</fieldset>'.CRLF;

	$manifest .= '		<fieldset legend="사이드바 설정">'.CRLF;
	$manifest .= '			<field title="사이드바:" name="sb_use" type="radio">';
	$manifest .= '			<op value="T" checked="checked">사용</op>'.CRLF;
	$manifest .= '			<op value="F" >사용 안 함</op>'.CRLF;
	$manifest .= '			<caption>'.CRLF;
	$manifest .= '				<![CDATA['.CRLF;
	$manifest .= '				사이드바를 사용할 사람은 스킨에서 치환자를 지우고 <B>사용</B>을 선택합니다. 치환자를 사용할 사람은 <B>사이드바를 사용 안 함으로 설정</B>하고 <B>치환자</B>를 스킨 파일의 원하는 위치에 삽입하면 됩니다.<BR><BR>이 플러그인에 대한 더 자세한 정보는 <A href="http://offree.net/entry/플톡과-블로그를-하나로-태터툴즈-플레이톡-플러그인" target="_blank">플톡과 블로그를 하나로, 태터툴즈 플레이톡 플러그인</A>을 읽어보기 바랍니다.'.CRLF;
	$manifest .= '				]]>'.CRLF;
	$manifest .= '			</caption>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		</fieldset>'.CRLF;

	$manifest .= '</config>';
	
	return $manifest;
}

?>